#ifndef foosamplewindowhhfoo
#define foosamplewindowhhfoo

#include <gtkmm.h>
#include <libglademm.h>

class SampleWindow;

#include "ServerInfoManager.hh"

class SampleWindow : public Gtk::Window {
public:
    SampleWindow(BaseObjectType* cobject, const Glib::RefPtr<Gnome::Glade::Xml>& refGlade);
    static SampleWindow* create();

    Gtk::Label *nameLabel,
        *indexLabel,
        *volumeLabel,
        *sampleTypeLabel,
        *durationLabel;

    Gtk::Button *closeButton;
    
    void updateInfo(const SampleInfo &i);

    virtual void onCloseButton();
};

#endif
