#ifndef foostatwindowhhfoo
#define foostatwindowhhfoo

#include <gtkmm.h>
#include <libglademm.h>

class StatWindow;

#include "ServerInfoManager.hh"

class StatWindow : public Gtk::Window {
public:
    StatWindow(BaseObjectType* cobject, const Glib::RefPtr<Gnome::Glade::Xml>& refGlade);
    virtual ~StatWindow();
    static StatWindow* create();

    Gtk::Label *totalLabel,
        *totalSizeLabel,
        *allocatedLabel,
        *allocatedSizeLabel;

    Gtk::Button *closeButton, *refreshButton;
    
    virtual void onCloseButton();
    virtual void onRefreshButton();

    struct pa_operation *operation;

    virtual void present();
};

#endif
